#if defined _menu_included
  #endinput
#endif
#define _menu_included

forward kill_menu(UserIndex=0);
forward clear_menu(UserIndex=0);
forward register_menu_reset(Function[]);
forward reset_menu(HLData, MenuStatusArr[], ResetValue, maxplayers = 0);

stock kill_menu(UserIndex=0) {
    new str[2];
    str[0] = UserIndex;
    str[1] = '^0';
    plugin_exec("rmb_reset",str);
}

stock clear_menu(UserIndex = 0) {
    static UserName[MAX_NAME_LENGTH];
    kill_menu(UserIndex);
    if(UserIndex == 0) {
        new i;
        new maxplayers = maxplayercount();
        for(i=1;i<=maxplayers;i++) {
            playerinfo(i,UserName,MAX_NAME_LENGTH);
            menu(UserName,"",0,1);
        }
    } else {
       playerinfo(UserIndex,UserName,MAX_NAME_LENGTH);
       menu(UserName,"",0,1);
    }
}

stock register_menu_reset(Function[]) {
    plugin_registercmd("rmb_reset",Function,ACCESS_ALL,"");
}

stock reset_menu(HLData, MenuStatusArr[], ResetValue, maxplayers = 0) {
    new Data[2];
    convert_string(HLData,Data,2);
    if(Data[0] == 0) {
        if(maxplayers == 0) {
            maxplayers = maxplayercount();
        }
        new i;
        for(i=1;i<=maxplayers;i++) {
            MenuStatusArr[i] = ResetValue;
        }
    } else {
        MenuStatusArr[Data[0]] = ResetValue;
    }
}